String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fCancelar(){
	document.getElementById("CboMen").focus();
	document.getElementById("TxtNom").value="";
	document.getElementById("TxtUrl").value="";	
	document.getElementById("TxtOrd").value="";	
	document.getElementById("TxtNl").value="";	
	document.getElementById("CmdE").disabled =true;
	document.getElementById("CmdG").value="Guardar";
	document.getElementById("TxtId").value="";
	document.getElementById("TxtAc").value="";
}
function fGuardar(){
	var Men=document.getElementById("CboMen").value;
	var Nom=document.getElementById("TxtNom").value;
	var Url=document.getElementById("TxtUrl").value;
	var Ord=document.getElementById("TxtOrd").value;
	var Nl=document.getElementById("TxtNl").value;

	if(Men.trim().length==0){
		alert("Seleccion el menu correspondiente");
		document.getElementById("CboMen").focus();
		return;
	}
	if(Nom.trim().length==0){
		alert("Ingrese el nombre del submenu");
		document.getElementById("TxtNom").focus();
		return;
	}
	if(Url.trim().length==0){
		alert("Ingrese la url del menu");
		document.getElementById("TxtUrl").focus();
		return;
	}
	if(Ord.trim().length==0){
		alert("Ingrese un valor numerico para el orden");
		document.getElementById("TxtOrd").focus();
		return;
	}
	if(Nl.trim().length==0){
		alert("Ingrese un valor numerico para el numero de lineas");
		document.getElementById("TxtNl").focus();
		return;
	}
	if(isNaN(Ord)){
		alert("Ingrese un valor numerico para el orden");
		document.getElementById("TxtOrd").focus();
		return;
	}
	if(isNaN(Nl)){
		alert("Ingrese un valor numerico para el numero de lineas");
		document.getElementById("TxtNl").focus();
		return;
	}
	
	if(document.getElementById("CmdG").value=="Guardar"){
		document.getElementById("TxtAc").value="G";
	}else{
		document.getElementById("TxtAc").value="M";
	}
	document.getElementById("Frm").submit();
}
function fVistaPrevia(){
	DivDatos = document.getElementById("DivDEMO");
	TxtNom = document.getElementById("TxtNom");
	TxtCol = document.getElementById("TxtNl");
	DivDatos.innerHTML=TxtNom.value;	
	var nl=DivDatos.scrollHeight / 15;
	if(nl==0){
		nl=1;
	}
	TxtCol.value=nl;
}
//**************************************************************************
